import torch
import torch.nn as nn

class Model(nn.Module):
    def __init__(self):
        super().__init__()

    def forward(self, x: torch.Tensor) -> torch.Tensor:
        return 0.5 * x * torch.clamp(x + 2.0, min=0.0, max=2.0)

batch_size = 1024
feature_dim = 4096

def get_inputs():
    x = torch.randn(batch_size, feature_dim, dtype=torch.float32)
    return [x]

def get_init_inputs():
    return []